$LOAD_PATH.unshift File.expand_path('..', __FILE__)
$LOAD_PATH.unshift File.expand_path('../../lib', __FILE__)

require 'dotenv'
require 'sinatra'
require 'omniauth'
require 'omniauth-snoonet'
require 'json'

Dotenv.load

enable :sessions

use OmniAuth::Builder do
  provider :snoonet, ENV['CLIENT_ID'], ENV['CLIENT_SECRET'] # , :scope => 'profile'
end

get '/' do
  <<-HTML
  <a href='/auth/snoonet'>Sign in with Snoonet</a>
  HTML
end

get '/auth/failure' do
  env['omniauth.error'].to_s
end

get '/auth/:name/callback' do
    auth = request.env['omniauth.auth']
    puts JSON.pretty_generate(auth)
end
