require 'spec_helper'

describe OmniAuth::Strategies::Snoonet do
  subject do
    @subject ||= begin
      @options ||= {}
      args = ['client_id', 'client_secret', @options].compact
      OmniAuth::Strategies::Snoonet.new(*args)
    end
  end

  context 'client options' do
    it 'should have correct name' do
      expect(subject.options.name).to eq('snoonet')
    end

    it 'should have correct site' do
      expect(subject.options.client_options.site).to eq('https://oauth.snoonet.org')
    end

    it 'should have correct authorize url' do
      expect(subject.options.client_options.authorize_url).to eq('https://oauth.snoonet.org/authorize')
    end

    it 'should have correct access token url' do
      expect(subject.options.client_options.token_url).to eq('https://oauth.snoonet.org/access_token')
    end

    it 'should indicate that the provider ignores the state parameter' do
      expect(subject.options.provider_ignores_state).to eq false
    end
  end
end
